unit CreateChartInCode;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ppPrnabl, ppClass, ppCtrls, ppChrt, ppBands, ppCache, ppComm,
  ppRelatv, ppProd, ppReport, StdCtrls, TeEngine, Series, ExtCtrls,
  TeeProcs, Chart;

type
  TForm1 = class(TForm)
    ppReport1: TppReport;
    ppHeaderBand1: TppHeaderBand;
    ppDetailBand1: TppDetailBand;
    ppFooterBand1: TppFooterBand;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FChart: TppTeeChart;
    FPieSeries: TPieSeries;

    procedure CreateChart;

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  CreateChart;
  ppReport1.Print;
end;

procedure TForm1.CreateChart;
begin
  FChart := TppTeeChart.Create(self);
  FPieSeries := TPieSeries.Create(Self);

  FChart.Band := ppDetailBand1;
  FChart.UserName := 'MyChart';
  FChart.Width := 4;
  FChart.Height := 2.5;
  FChart.Chart.Title.Text.Text := 'MyChart';

  FPieSeries.ParentChart := FChart.Chart;
  FPieSeries.Clear;
  FPieSeries.Add( 30, 'Dynastar', clYellow );
  FPieSeries.Add( 45, 'Salomon', clBlue );
  FPieSeries.Add( 10, 'K2', clGreen );
  FPieSeries.Add( 15, 'Rossignol', clRed);

end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FPieSeries.Free;
  FChart.Free;
end;

end.
